Summary:	DHCP Client Daemon
Name:		dhcpcd
Version:	6.1.0
%define subrel	1
Release:	%mkrel 2
License:	BSD-Like
Group:		System/Servers
URL:		http://roy.marples.name/projects/dhcpcd/
Source0:	http://roy.marples.name/downloads/dhcpcd/%{name}-%{version}.tar.bz2
Patch1:		dhcpcd-6.1.0-fix-install-permissions.patch
Patch2:		dhcpcd-dos-fix.patch
Requires(post): rpm-helper

%description
dhcpcd is an RFC2131 compliant DHCP client. It is fully featured and yet
lightweight: the binary is 60k as reported by size(1) on Linux i386. It has
support for duplicate address detection, IPv4LL, carrier detection, and a
merged resolv.conf and ntp.conf for which other DHCP clients require third
party tools.

%prep
%setup -q
%patch1 -p1 -b .perms~
%patch2 -p0 -b .dos~

%build
%configure2_5x	--bindir=/sbin \
		--libdir=/%{_lib} \
		--libexecdir=/%{_lib} \
		--with-hook=ntp.conf \
		--with-hook=yp.conf \
		--with-hook=ypbind

%serverbuild

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%doc README
%config(noreplace) %{_sysconfdir}/dhcpcd.conf
/sbin/dhcpcd
%dir /%{_lib}/dhcpcd-hooks
/%{_lib}/dhcpcd-hooks/*
/%{_lib}/dhcpcd-run-hooks
%{_mandir}/man5/dhcpcd.conf.5*
%{_mandir}/man8/dhcpcd.8*
%{_mandir}/man8/dhcpcd-run-hooks.8*


%changelog
* Fri Aug 08 2014 luigiwalser <luigiwalser> 6.1.0-2.1.mga4
+ Revision: 661210
- add upstream patch to fix denial of service issue (mga#13860)

* Mon Oct 21 2013 umeabot <umeabot> 6.1.0-2.mga4
+ Revision: 537405
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 luigiwalser <luigiwalser> 6.1.0-1.mga4
+ Revision: 486928
- 6.1.0
- rediff perms patch

* Mon Aug 05 2013 luigiwalser <luigiwalser> 6.0.5-1.mga4
+ Revision: 463674
- 6.0.5

* Sun Jul 21 2013 luigiwalser <luigiwalser> 6.0.3-1.mga4
+ Revision: 456693
- 6.0.3

* Mon Apr 15 2013 luigiwalser <luigiwalser> 5.6.8-1.mga3
+ Revision: 410111
- 5.6.8

* Sun Feb 17 2013 luigiwalser <luigiwalser> 5.6.7-1.mga3
+ Revision: 398852
- 5.6.7

* Fri Jan 11 2013 umeabot <umeabot> 5.6.6-2.mga3
+ Revision: 348759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 5.6.6-1.mga3
+ Revision: 338323
- 5.6.6
- drop ghosted log file no longer needed (from mdv)

* Sat Sep 29 2012 luigiwalser <luigiwalser> 5.6.2-1.mga3
+ Revision: 300166
- 5.6.2

* Sun Jul 29 2012 luigiwalser <luigiwalser> 5.6.1-1.mga3
+ Revision: 275647
- 5.6.1

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5.5.6-1.mga2
+ Revision: 230825
- 5.5.6

* Sat Feb 18 2012 luigiwalser <luigiwalser> 5.5.4-1.mga2
+ Revision: 210567
- 5.5.4
- fix URL

* Mon Sep 05 2011 tv <tv> 5.2.12-1.mga2
+ Revision: 138934
- new version
- drop initscripts patch, fixed upstream now

* Tue Feb 08 2011 ennael <ennael> 5.2.7-1.mga1
+ Revision: 49030
- imported package dhcpcd

